## r-cran-nnet 7.3

=== DESCRIPTION ===
Package: nnet
Priority: recommended
Version: 7.3-15
Date: 2021-01-21
Depends: R (>= 3.0.0), stats, utils
Suggests: MASS
Authors@R: c(person("Brian", "Ripley", role = c("aut", "cre", "cph"),
                    email = "ripley@stats.ox.ac.uk"),
             person("William", "Venables", role = "cph"))
Description: Software for feed-forward neural networks with a single
  hidden layer, and for multinomial log-linear models.
Title: Feed-Forward Neural Networks and Multinomial Log-Linear Models
ByteCompile: yes
License: GPL-2 | GPL-3
URL: http://www.stats.ox.ac.uk/pub/MASS4/
NeedsCompilation: yes
Packaged: 2021-01-21 19:54:20 UTC; ripley
Author: Brian Ripley [aut, cre, cph],
  William Venables [cph]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2021-01-24 09:27:44 UTC

## r-cran-nnet 7.3-13

=== debian/changelog ===
r-cran-nnet (7.3-13-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

  * debian/control: Switch to ${R:Depends} now that dh-r is fixed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Feb 2020 11:10:01 -0600

r-cran-nnet (7.3-12-2.1) unstable; urgency=medium

  * (Inofficial) Rebuild for R 3.5.0

  * Manual override for ${R:Depends} while dh-r is looked at

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Apr 2018 14:10:57 -0500

r-cran-nnet (7.3-12-2) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Apr 2017 10:08:26 -0500

r-cran-nnet (7.3-12-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Feb 2016 13:57:42 -0600

r-cran-nnet (7.3-11-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Aug 2015 11:08:08 -0500

r-cran-nnet (7.3-10-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Jun 2015 08:43:15 -0500

r-cran-nnet (7.3-9-1) unstable; urgency=low

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Feb 2015 07:09:43 -0600

r-cran-nnet (7.3-8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Mar 2014 06:32:12 -0500

r-cran-nnet (7.3-7-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Jul 2013 12:03:36 -0500

r-cran-nnet (7.3-6-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 25 Mar 2013 21:33:12 -0500

r-cran-nnet (7.3-6-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Mar 2013 08:23:45 -0500

r-cran-nnet (7.3-5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Oct 2012 12:10:54 -0500

r-cran-nnet (7.3-4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Jun 2012 12:20:03 -0500

r-cran-nnet (7.3-1-2) unstable; urgency=low

  * debian/control: Provided extended long Description:

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Oct 2011 07:09:27 -0500

r-cran-nnet (7.3-1-1) unstable; urgency=low

  * Initial Debian package				(Closes: #551131)
  
  * nnet used to be part of the VR bundle which has been in Debian as package
    r-cran-vr since Jan 2004, and as part of the r-base package since Dec 1997.
    It has been unbundled with deprecation of package bundles in R 2.10.0
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Oct 2009 19:43:55 -0500

=== debian/control ===
Source: r-cran-nnet
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.2), dh-r
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-nnet
Vcs-Git: https://salsa.debian.org/edd/r-cran-nnet.git
Homepage: https://cran.r-project.org/package=nnet

Package: r-cran-nnet
Architecture: any
Replaces: r-cran-vr (<< 7.3-0)
Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: GNU R package for feed-forward neural networks
 The nnet package provides functions and datasets to support
 feed-forward neural networks with a single hidden layer, and
 multinomial log-linear models, as discussed in the book 'Modern
 Applied Statistics with S' (4th edition) by W.N. Venables and
 B.D. Ripley. The following URL provides more details about the book:
 URL: http://www.stats.ox.ac.uk/pub/MASS4

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/nnet_([-0-9\.]*)\.tar.gz

## r-cran-nnet 7.3-14

=== debian/changelog ===
r-cran-nnet (7.3-14-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:16:56 +0000

r-cran-nnet (7.3-14-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Apr 2020 08:40:48 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.2), dh-r
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.3), dh-r
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nnet
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nnet.git

## r-cran-nnet 7.3-15

=== debian/changelog ===
r-cran-nnet (7.3-15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Jan 2021 09:33:26 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.3), dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nnet
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nnet.git
 Homepage: https://cran.r-project.org/package=nnet

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-nnet package
# Copyright 2005 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-nnet 7.3-16

=== debian/changelog ===
r-cran-nnet (7.3-16-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.2 LTS

 -- Michael Rutter <marutter@gmail.com>  Mon, 10 May 2021 18:08:27 +0000

r-cran-nnet (7.3-16-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

  * debian/control: Set Build-Depends: to recent R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 08 May 2021 16:45:38 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nnet
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nnet.git

## r-cran-nnet 7.3-17

=== debian/changelog ===
r-cran-nnet (7.3-17-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Jan 2022 08:29:05 -0600

r-cran-nnet (7.3-16-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 15:53:50 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), dh-r
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nnet
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nnet.git
 Homepage: https://cran.r-project.org/package=nnet

## r-cran-nnet 7.3-18

=== debian/changelog ===
r-cran-nnet (7.3-18-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Sep 2022 12:57:52 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nnet
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nnet.git
 Homepage: https://cran.r-project.org/package=nnet

## r-cran-nnet 7.3-19

=== debian/changelog ===
r-cran-nnet (7.3-19-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 13:11:25 +0200

r-cran-nnet (7.3-19-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Jun 2023 06:52:20 -0500

r-cran-nnet (7.3-19-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 May 2023 17:39:01 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: r-cran-nnet
 Section: gnu-r
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r
-Standards-Version: 4.6.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nnet
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nnet.git
 Homepage: https://cran.r-project.org/package=nnet

## r-cran-nnet 7.3-20

=== debian/changelog ===
r-cran-nnet (7.3-20-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Jan 2025 09:46:02 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: r-cran-nnet
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r
-Standards-Version: 4.6.2
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.4.2), dh-r
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-nnet
 Vcs-Git: https://salsa.debian.org/edd/r-cran-nnet.git
 Homepage: https://cran.r-project.org/package=nnet
